# norootforbuild

Summary:    VHBA virtual host bus adapter module
Name:       vhba
Version:    1.1.0
Release:    34.1
License:    GPL
Group:      System/Kernel
URL:        http://cdemu.sourceforge.net
Packager:   Leonardo Chiquitto <lchiquitto@novell.com>
Source:     http://downloads.sourceforge.net/cdemu/vhba-module-%{version}.tar.bz2
Source1:    Kbuild
Source100:  preamble
Patch0:     vhba-kat.diff
Patch1:	    vhba-scatterlist.diff
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
BuildRequires:  kernel-syms module-init-tools

%suse_kernel_module_package -n vhba -p %_sourcedir/preamble kdump um
%define kernel_version  %(echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' kernel-source`|sed 's/_/-/g;')
  
%description
VHBA kernel module, a virtual SCSI host bus adapter used by CDEmu daemon from
userspace-cdemu suite.

%package -n vhba-KMP
Group: System/Kernel
License: GPL v2 or later
Summary: VHBA virtual host bus adapter module

%description -n vhba-KMP
VHBA kernel module, a virtual SCSI host bus adapter used by CDEmu daemon from
userspace-cdemu suite.

%prep
%setup -n vhba-module-%{version}
%patch0
%if 0%{?suse_version} < 1100
%patch1
%endif

cp %{SOURCE1} vhba-module-%{version}

%build
for flavor in %{flavors_to_build}; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor clean
    kat/kat /usr/src/linux-obj/%_target_cpu/$flavor kernel.api.h kat/have_scsi_macros.c kat/scatterlist_has_page.c
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules M=$PWD PWD=$PWD
done
  
%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
     make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install M=$PWD PWD=$PWD
done
# Configuration for udev
%{__mkdir_p} %{buildroot}/etc/udev/rules.d
%{__cat} > %{buildroot}/etc/udev/rules.d/60-vhba.rules << 'EOF'
# Make vhba
KERNEL=="vhba_ctl", NAME="%k", MODE="0660", OWNER="root", GROUP="users"
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir /etc/udev
%dir /etc/udev/rules.d
%config /etc/udev/rules.d/60-vhba.rules

%changelog
* Sat Jul 19 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package import

